#include <touchgfx/hal/Types.hpp>

FONT_LOCATION_FLASH_PRAGMA
KEEP extern const uint8_t unicodes_NotoSans_Regular_18_4bpp[] FONT_LOCATION_FLASH_ATTRIBUTE =
{
    // Unicode: [0x0020, ]
    // (Has no glyph data)
    // Unicode: [0x0041, ]
    0x00, 0x00, 0xF2, 0x0A, 0x00, 0x00, 0x00, 0x00, 0xF9, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x9E, 0x7F,
    0x00, 0x00, 0x00, 0x50, 0x3F, 0xDB, 0x00, 0x00, 0x00, 0xB0, 0x0E, 0xF6, 0x03, 0x00, 0x00, 0xF1,
    0x08, 0xF1, 0x09, 0x00, 0x00, 0xF7, 0x03, 0xB0, 0x0F, 0x00, 0x00, 0xED, 0x22, 0x72, 0x5F, 0x00,
    0x40, 0xFF, 0xFF, 0xFF, 0xCF, 0x00, 0xA0, 0x5F, 0x55, 0x55, 0xFB, 0x02, 0xF1, 0x0A, 0x00, 0x00,
    0xF3, 0x08, 0xF6, 0x04, 0x00, 0x00, 0xD0, 0x0E, 0xDC, 0x00, 0x00, 0x00, 0x60, 0x4F,
    // Unicode: [0x0042, ]
    0xF4, 0xFF, 0xFF, 0x7C, 0x00, 0xF4, 0x69, 0x76, 0xFC, 0x0B, 0xF4, 0x05, 0x00, 0xB0, 0x2F, 0xF4,
    0x05, 0x00, 0x60, 0x4F, 0xF4, 0x05, 0x00, 0x80, 0x1F, 0xF4, 0x16, 0x21, 0xF6, 0x08, 0xF4, 0xFF,
    0xFF, 0x7F, 0x00, 0xF4, 0x48, 0x54, 0xE8, 0x1C, 0xF4, 0x05, 0x00, 0x40, 0x8F, 0xF4, 0x05, 0x00,
    0x00, 0xBF, 0xF4, 0x05, 0x00, 0x50, 0x9F, 0xF4, 0x69, 0x76, 0xFA, 0x2E, 0xF4, 0xFF, 0xFF, 0x9D,
    0x01,
    // Unicode: [0x0046, ]
    0xF4, 0xFF, 0xFF, 0xFF, 0xF4, 0x7A, 0x77, 0x67, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00,
    0xF4, 0x05, 0x00, 0x00, 0xF4, 0x27, 0x22, 0x12, 0xF4, 0xFF, 0xFF, 0x9F, 0xF4, 0x58, 0x55, 0x25,
    0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00,
    0xF4, 0x05, 0x00, 0x00,
    // Unicode: [0x0047, ]
    0x00, 0x40, 0xDA, 0xEF, 0x9D, 0x02, 0xB0, 0xDF, 0x79, 0xB8, 0x4F, 0xA0, 0x7F, 0x00, 0x00, 0x00,
    0x40, 0x9F, 0x00, 0x00, 0x00, 0x00, 0xFA, 0x01, 0x00, 0x00, 0x00, 0xC0, 0x0D, 0x00, 0x10, 0x22,
    0x12, 0xCE, 0x00, 0x00, 0xFA, 0xFF, 0xDC, 0x0D, 0x00, 0x30, 0x55, 0xCE, 0xFA, 0x01, 0x00, 0x00,
    0xD0, 0x6C, 0x7F, 0x00, 0x00, 0x00, 0xCD, 0xD0, 0x5F, 0x00, 0x00, 0xD0, 0x0C, 0xE2, 0xCF, 0x78,
    0x97, 0xCF, 0x00, 0x70, 0xFC, 0xFF, 0xAD, 0x05,
    // Unicode: [0x0054, ]
    0xFD, 0xFF, 0xFF, 0xFF, 0xDF, 0x76, 0x77, 0xEE, 0x77, 0x57, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00,
    0x00, 0xDD, 0x00, 0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 0x00,
    0xDD, 0x00, 0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 0x00, 0xDD,
    0x00, 0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 0x00, 0xDD, 0x00,
    0x00,
    // Unicode: [0x0058, ]
    0xF5, 0x07, 0x00, 0x00, 0xDD, 0x00, 0xFB, 0x01, 0x00, 0xF7, 0x03, 0x10, 0xBF, 0x00, 0xF2, 0x09,
    0x00, 0x60, 0x4F, 0xB0, 0x0E, 0x00, 0x00, 0xC0, 0x6E, 0x4F, 0x00, 0x00, 0x00, 0xF2, 0xAF, 0x00,
    0x00, 0x00, 0x00, 0xFD, 0x06, 0x00, 0x00, 0x00, 0xF7, 0xEC, 0x01, 0x00, 0x00, 0xF2, 0x18, 0xAF,
    0x00, 0x00, 0xB0, 0x0E, 0x70, 0x4F, 0x00, 0x50, 0x4F, 0x00, 0xD0, 0x0D, 0x10, 0xBE, 0x00, 0x00,
    0xF4, 0x08, 0xF9, 0x02, 0x00, 0x00, 0xFA, 0x02,
    // Unicode: [0x0061, ]
    0x00, 0xB6, 0xFE, 0x5C, 0x00, 0xC0, 0x69, 0xC5, 0x3F, 0x00, 0x00, 0x00, 0xF1, 0x08, 0x00, 0x00,
    0x00, 0xAE, 0x00, 0xB6, 0xEE, 0xFF, 0x0A, 0xFA, 0x38, 0x22, 0xAE, 0xF1, 0x09, 0x00, 0xF0, 0x1A,
    0x8F, 0x00, 0x50, 0xAF, 0xD0, 0x7F, 0x85, 0xDE, 0x0A, 0xB2, 0xFF, 0x2B, 0xA9,
    // Unicode: [0x0063, ]
    0x10, 0xE9, 0xEF, 0x0A, 0xD1, 0x9F, 0x87, 0x09, 0xF8, 0x04, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00,
    0xAF, 0x00, 0x00, 0x00, 0xAF, 0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 0xF9, 0x04, 0x00, 0x00,
    0xE1, 0x8F, 0x86, 0x0B, 0x10, 0xEA, 0xEF, 0x09,
    // Unicode: [0x0064, ]
    0x00, 0x00, 0x00, 0xF0, 0x08, 0x00, 0x00, 0x00, 0x8F, 0x00, 0x00, 0x00, 0xF0, 0x08, 0x00, 0x00,
    0x00, 0x8F, 0x20, 0xFB, 0xCE, 0xF4, 0x18, 0xFE, 0x67, 0xFA, 0x8F, 0xF9, 0x03, 0x00, 0xF8, 0xD8,
    0x0D, 0x00, 0x20, 0x8F, 0xAF, 0x00, 0x00, 0xF0, 0xF8, 0x0A, 0x00, 0x00, 0x8F, 0xCD, 0x00, 0x00,
    0xF2, 0x98, 0x3F, 0x00, 0x80, 0x8F, 0xF2, 0x7E, 0x96, 0xEB, 0x08, 0xB3, 0xEF, 0x09, 0x8C,
    // Unicode: [0x0065, ]
    0x10, 0xE9, 0xDF, 0x05, 0x00, 0xED, 0x57, 0xFA, 0x06, 0xF8, 0x02, 0x00, 0xEC, 0xD0, 0x0C, 0x00,
    0x80, 0x2F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0x3C, 0x33, 0x33, 0x03, 0xDD, 0x00, 0x00, 0x00, 0x80,
    0x5F, 0x00, 0x00, 0x00, 0xD0, 0x9F, 0x66, 0xB9, 0x00, 0x81, 0xFD, 0xCF, 0x06,
    // Unicode: [0x0067, ]
    0x20, 0xFB, 0xAF, 0xC1, 0x18, 0xFE, 0x68, 0xEA, 0x8F, 0xF9, 0x03, 0x00, 0xF8, 0xD8, 0x0D, 0x00,
    0x20, 0x8F, 0xAF, 0x00, 0x00, 0xF0, 0xF8, 0x0A, 0x00, 0x00, 0x8F, 0xCD, 0x00, 0x00, 0xF2, 0x98,
    0x2F, 0x00, 0x70, 0x8F, 0xF2, 0x7E, 0x95, 0xFD, 0x08, 0xB2, 0xFF, 0x2B, 0x8F, 0x00, 0x00, 0x00,
    0xF1, 0x07, 0x00, 0x00, 0x70, 0x4F, 0xC3, 0x68, 0x96, 0xCF, 0x10, 0xD9, 0xFF, 0x9E, 0x01,
    // Unicode: [0x0068, ]
    0xF7, 0x01, 0x00, 0x00, 0x70, 0x1F, 0x00, 0x00, 0x00, 0xF7, 0x01, 0x00, 0x00, 0x70, 0x1F, 0x00,
    0x00, 0x00, 0xF7, 0x92, 0xFE, 0x4C, 0x70, 0xDF, 0x6B, 0xD6, 0x3F, 0xF7, 0x09, 0x00, 0xF2, 0x78,
    0x3F, 0x00, 0x00, 0xAE, 0xF7, 0x02, 0x00, 0xE0, 0x7A, 0x1F, 0x00, 0x00, 0xAE, 0xF7, 0x01, 0x00,
    0xE0, 0x7A, 0x1F, 0x00, 0x00, 0xAE, 0xF7, 0x01, 0x00, 0xE0, 0x7A, 0x1F, 0x00, 0x00, 0xAE,
    // Unicode: [0x0069, ]
    0xE6, 0x72, 0x2F, 0x00, 0x00, 0x00, 0xF7, 0x71, 0x1F, 0xF7, 0x71, 0x1F, 0xF7, 0x71, 0x1F, 0xF7,
    0x71, 0x1F, 0xF7, 0x71, 0x1F,
    // Unicode: [0x006C, ]
    0xF7, 0x71, 0x1F, 0xF7, 0x71, 0x1F, 0xF7, 0x71, 0x1F, 0xF7, 0x71, 0x1F, 0xF7, 0x71, 0x1F, 0xF7,
    0x71, 0x1F, 0xF7, 0x71, 0x1F,
    // Unicode: [0x006E, ]
    0xE7, 0xA2, 0xFE, 0x4C, 0x70, 0xEF, 0x38, 0xB4, 0x2F, 0xF7, 0x08, 0x00, 0xF1, 0x78, 0x3F, 0x00,
    0x00, 0xAE, 0xF7, 0x01, 0x00, 0xE0, 0x7A, 0x1F, 0x00, 0x00, 0xAE, 0xF7, 0x01, 0x00, 0xE0, 0x7A,
    0x1F, 0x00, 0x00, 0xAE, 0xF7, 0x01, 0x00, 0xE0, 0x7A, 0x1F, 0x00, 0x00, 0xAE,
    // Unicode: [0x006F, ]
    0x10, 0xE9, 0xEF, 0x08, 0x10, 0xFD, 0x68, 0xF9, 0x0C, 0xF8, 0x04, 0x00, 0xF5, 0xD6, 0x0D, 0x00,
    0x00, 0xCE, 0xAF, 0x00, 0x00, 0xC0, 0xFE, 0x0A, 0x00, 0x00, 0xEC, 0xDD, 0x00, 0x00, 0xE0, 0x7C,
    0x4F, 0x00, 0x50, 0x7F, 0xD0, 0x8F, 0x86, 0xCF, 0x00, 0x80, 0xFE, 0x8E, 0x00,
    // Unicode: [0x0070, ]
    0xE7, 0xC4, 0xFE, 0x3C, 0x00, 0xF7, 0x8F, 0x53, 0xFD, 0x02, 0xF7, 0x08, 0x00, 0xF1, 0x0A, 0xF7,
    0x03, 0x00, 0xB0, 0x0E, 0xF7, 0x02, 0x00, 0x90, 0x0F, 0xF7, 0x02, 0x00, 0x90, 0x0F, 0xF7, 0x04,
    0x00, 0xC0, 0x0E, 0xF7, 0x09, 0x00, 0xF3, 0x0A, 0xF7, 0xAB, 0x76, 0xFE, 0x02, 0xF7, 0x92, 0xFE,
    0x3C, 0x00, 0xF7, 0x01, 0x00, 0x00, 0x00, 0xF7, 0x01, 0x00, 0x00, 0x00, 0xF7, 0x01, 0x00, 0x00,
    0x00, 0xF7, 0x01, 0x00, 0x00, 0x00,
    // Unicode: [0x0075, ]
    0xF9, 0x00, 0x00, 0xF0, 0x99, 0x0F, 0x00, 0x00, 0x9F, 0xF9, 0x00, 0x00, 0xF0, 0x99, 0x0F, 0x00,
    0x00, 0x9F, 0xF9, 0x00, 0x00, 0xF0, 0x99, 0x0F, 0x00, 0x00, 0x9F, 0xF9, 0x00, 0x00, 0xF1, 0x79,
    0x3F, 0x00, 0x60, 0x9F, 0xF2, 0x4C, 0x73, 0xFE, 0x09, 0xC4, 0xFF, 0x3B, 0x9C,
    // Unicode: [0x041F, ]
    0xF4, 0xFF, 0xFF, 0xFF, 0xFF, 0x46, 0xAF, 0x77, 0x77, 0x97, 0x6F, 0xF4, 0x05, 0x00, 0x00, 0xF3,
    0x46, 0x5F, 0x00, 0x00, 0x30, 0x6F, 0xF4, 0x05, 0x00, 0x00, 0xF3, 0x46, 0x5F, 0x00, 0x00, 0x30,
    0x6F, 0xF4, 0x05, 0x00, 0x00, 0xF3, 0x46, 0x5F, 0x00, 0x00, 0x30, 0x6F, 0xF4, 0x05, 0x00, 0x00,
    0xF3, 0x46, 0x5F, 0x00, 0x00, 0x30, 0x6F, 0xF4, 0x05, 0x00, 0x00, 0xF3, 0x46, 0x5F, 0x00, 0x00,
    0x30, 0x6F, 0xF4, 0x05, 0x00, 0x00, 0xF3, 0x06,
    // Unicode: [0x0428, ]
    0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB, 0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB,
    0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB, 0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB,
    0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB, 0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB,
    0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB, 0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB,
    0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB, 0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB,
    0xF4, 0x05, 0x00, 0x80, 0x1F, 0x00, 0x00, 0xEB, 0xF4, 0x7A, 0x77, 0xB7, 0x8F, 0x77, 0x77, 0xED,
    0xF4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF,
    // Unicode: [0x0430, ]
    0x00, 0xB6, 0xFE, 0x5C, 0x00, 0xC0, 0x69, 0xC5, 0x3F, 0x00, 0x00, 0x00, 0xF1, 0x08, 0x00, 0x00,
    0x00, 0xAE, 0x00, 0xB6, 0xEE, 0xFF, 0x0A, 0xFA, 0x38, 0x22, 0xAE, 0xF1, 0x09, 0x00, 0xF0, 0x1A,
    0x8F, 0x00, 0x50, 0xAF, 0xD0, 0x7F, 0x85, 0xDE, 0x0A, 0xB2, 0xFF, 0x2B, 0xA9,
    // Unicode: [0x0432, ]
    0xF7, 0xFF, 0xEF, 0x5C, 0x70, 0x6F, 0x55, 0xC6, 0x3F, 0xF7, 0x01, 0x00, 0xF2, 0x76, 0x2F, 0x11,
    0x92, 0x2F, 0xF7, 0xFF, 0xFF, 0x3D, 0x70, 0x5F, 0x44, 0xA5, 0x4F, 0xF7, 0x01, 0x00, 0xE0, 0x7B,
    0x1F, 0x00, 0x00, 0xBE, 0xF7, 0x45, 0x64, 0xFC, 0x75, 0xFF, 0xFF, 0xCE, 0x05,
    // Unicode: [0x0438, ]
    0xF7, 0x00, 0x00, 0xF3, 0x0F, 0xF7, 0x00, 0x00, 0xFD, 0x0F, 0xF7, 0x00, 0x70, 0x8F, 0x0F, 0xF7,
    0x00, 0xF1, 0x77, 0x0F, 0xF7, 0x00, 0xDB, 0x70, 0x0F, 0xF7, 0x40, 0x4F, 0x70, 0x0F, 0xF7, 0xE0,
    0x0A, 0x70, 0x0F, 0xF7, 0xE8, 0x01, 0x70, 0x0F, 0xF7, 0x6F, 0x00, 0x70, 0x0F, 0xF7, 0x0C, 0x00,
    0x70, 0x0F,
    // Unicode: [0x043C, ]
    0xF7, 0x0B, 0x00, 0x00, 0xF5, 0x7E, 0xFF, 0x01, 0x00, 0xB0, 0xEF, 0xF7, 0x7D, 0x00, 0x20, 0xBF,
    0x7E, 0x7F, 0x0E, 0x00, 0xD8, 0xE8, 0xF7, 0xF1, 0x04, 0xE0, 0x87, 0x7E, 0x0F, 0xBB, 0x50, 0x1F,
    0xE8, 0xF7, 0x50, 0x1F, 0xBB, 0x80, 0x7E, 0x0F, 0xE0, 0xF7, 0x04, 0xE8, 0xF7, 0x00, 0xF8, 0x0E,
    0x80, 0x7E, 0x0F, 0x20, 0x8F, 0x00, 0xE8,
    // Unicode: [0x043E, ]
    0x10, 0xE9, 0xEF, 0x08, 0x10, 0xFD, 0x68, 0xF9, 0x0C, 0xF8, 0x04, 0x00, 0xF5, 0xD6, 0x0D, 0x00,
    0x00, 0xCE, 0xAF, 0x00, 0x00, 0xC0, 0xFE, 0x0A, 0x00, 0x00, 0xEC, 0xDD, 0x00, 0x00, 0xE0, 0x7C,
    0x4F, 0x00, 0x50, 0x7F, 0xD0, 0x8F, 0x86, 0xCF, 0x00, 0x80, 0xFE, 0x8E, 0x00,
    // Unicode: [0x0440, ]
    0xE7, 0xC4, 0xFE, 0x3C, 0x00, 0xF7, 0x8F, 0x53, 0xFD, 0x02, 0xF7, 0x08, 0x00, 0xF1, 0x0A, 0xF7,
    0x03, 0x00, 0xB0, 0x0E, 0xF7, 0x02, 0x00, 0x90, 0x0F, 0xF7, 0x02, 0x00, 0x90, 0x0F, 0xF7, 0x04,
    0x00, 0xC0, 0x0E, 0xF7, 0x09, 0x00, 0xF3, 0x0A, 0xF7, 0xAB, 0x76, 0xFE, 0x02, 0xF7, 0x92, 0xFE,
    0x3C, 0x00, 0xF7, 0x01, 0x00, 0x00, 0x00, 0xF7, 0x01, 0x00, 0x00, 0x00, 0xF7, 0x01, 0x00, 0x00,
    0x00, 0xF7, 0x01, 0x00, 0x00, 0x00,
    // Unicode: [0x0442, ]
    0xFA, 0xFF, 0xFF, 0xFF, 0x33, 0x55, 0xFB, 0x56, 0x15, 0x00, 0x80, 0x0F, 0x00, 0x00, 0x00, 0xF8,
    0x00, 0x00, 0x00, 0x80, 0x0F, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x80, 0x0F, 0x00, 0x00,
    0x00, 0xF8, 0x00, 0x00, 0x00, 0x80, 0x0F, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00,
    // Unicode: [0x0444, ]
    0x00, 0x00, 0x30, 0x4F, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF3, 0x04, 0x00, 0x00, 0x00, 0x00, 0x30,
    0x4F, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF3, 0x05, 0x00, 0x00, 0x00, 0x70, 0xFD, 0xFF, 0x7D, 0x00,
    0x00, 0xC0, 0x8F, 0xF6, 0x98, 0xCF, 0x00, 0x80, 0x4F, 0x30, 0x4F, 0x40, 0x8F, 0x00, 0xDD, 0x00,
    0xF3, 0x04, 0xC0, 0x0E, 0xF0, 0x0A, 0x30, 0x4F, 0x00, 0xFA, 0x00, 0xBF, 0x00, 0xF3, 0x04, 0xA0,
    0x0F, 0xC0, 0x0E, 0x30, 0x4F, 0x00, 0xDD, 0x00, 0xF5, 0x08, 0xF3, 0x04, 0xF8, 0x06, 0x00, 0xF8,
    0xAD, 0xAF, 0xFC, 0x09, 0x00, 0x00, 0x93, 0xFD, 0x9D, 0x03, 0x00, 0x00, 0x00, 0x40, 0x4F, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xF4, 0x04, 0x00, 0x00, 0x00, 0x00, 0x40, 0x4F, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xF4, 0x04, 0x00, 0x00
};
